import { defineStore } from "pinia";
import { getProperties } from "@/api/common";

const useAppStore = defineStore("app", {
  state: () => ({
    globalConfig: {},
  }),
  actions: {
    getGlobalConfig() {
      getProperties().then((res) => {
        if (Object.prototype.toString.call(res) === "[object Object]") {
          this.globalConfig = res;
        }
      });
    },
  },
});
export default useAppStore;
